using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using Telerik.Web.UI;


public class GenericColumn<FilterType> : GridBoundColumn where FilterType : new()
{
    public FilterType _filter = default(FilterType);
	public GenericColumn()
	{
		_filter = new FilterType();
	}

    public override void Initialize()
    {
        base.Initialize();
        HeaderText = String.Format("{0} - [{1}]", this.DataField, _filter.GetType().FullName);
    }
}
