using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using Telerik.Web.UI;

public partial class _Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            ArrayList types = new ArrayList(); 
            ViewState["columnTypes"] = types;

            GenericColumn<Filter> myColumn = new GenericColumn<Filter>();
            RadGrid1.Columns.Add(myColumn);
            myColumn.DataField = "CustomerID";
            myColumn.UniqueName = "CustomerID";
            myColumn.DataType = typeof(string);
            types.Add(myColumn.GetType().GetGenericArguments()[0].AssemblyQualifiedName);


            GenericColumn<Filter2> myColumn2 = new GenericColumn<Filter2>();
            RadGrid1.Columns.Add(myColumn2);
            myColumn2.DataField = "CompanyName";
            myColumn2.UniqueName = "CompanyName";
            myColumn2.DataType = typeof(string);
            types.Add(myColumn2.GetType().GetGenericArguments()[0].AssemblyQualifiedName);
        }
    }

    int columnIndex = 0;
    protected void RadGrid1_ColumnCreating(object sender, GridColumnCreatingEventArgs e)
    {
        ArrayList types = (ArrayList) ViewState["columnTypes"];
        Type paramType = Type.GetType((string)types[columnIndex]);
        Type columnType = typeof(GenericColumn<>).MakeGenericType(paramType);

        GridColumn myColumn = (GridColumn)Activator.CreateInstance(columnType);
        e.Column = myColumn;
        
        myColumn.UniqueName = "test1";

        columnIndex++;
 
    }
}
